#ifndef __GLPRINT_H
#define __GLPRINT_H

#include <gl/gl.h>
#include <gl/glu.h>
#include <gl/glut.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

class glPrint{
      private:
              /* Image type - contains height, width, and data */
struct Image {
    unsigned long sizeX;
    unsigned long sizeY;
    char *data;
};
typedef struct Image Image;

GLuint	base_;				// Base Display List For The Font
GLuint  font_store;

GLuint loop;

Image *font;
float ScaleX;
float ScaleY;

      int LoadBMP(char *filename, Image *image) ;

      public:
     glPrint(void){
                   ScaleX=1.0;
                   ScaleY=1.0;
     }
     GLvoid BuildFont(GLvoid);
     GLvoid KillFont(GLvoid)	;
     void scaleFont(float scalex,float scaley){
           ScaleX=scalex;
           ScaleY=scaley;
     }
GLvoid glPrintString(GLint x, GLint y, char *string, int set);
              

};


// quick and dirty bitmap loader...for 24 bit bitmaps with 1 plane only.
// See http://www.dcs.ed.ac.uk/~mxr/gfx/2d/BMP.txt for more info.

#endif
